;;;;    lapack-package.lisp - defines the lapack package for maxima's lapack tree.
;;;;    Copyright (C) 2010  Norbert Paul
;;;;
;;;;    This program is free software: you can redistribute it and/or modify
;;;;    it under the terms of the GNU General Public License as published by
;;;;    the Free Software Foundation, either version 3 of the License, or
;;;;    (at your option) any later version.
;;;;
;;;;    This program is distributed in the hope that it will be useful,
;;;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;;    GNU General Public License for more details.
;;;;
;;;;    You should have received a copy of the GNU General Public License
;;;;    along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;;;
;;;;    Contact: norbert.paul@kit.edu


(defpackage #:lapack
  (:use :f2cl-lib :blas :common-lisp)
  (:export
     #:dgeev
     #:dgebak
     #:dgebal
     #:dgehrd
     #:dhseqr
     #:dlabad
     #:dlacpy
     #:dlamch
     #:dlamc1
     #:dlamc2
     #:dlamc3
     #:dlamc4
     #:dlamc5
     #:dlange
     #:dlapy2
     #:dlartg
     #:dlascl
     #:dorghr
     #:dtrevc
     #:ilaenv
     #:dlahrd
     #:dlarfb
     #:dgehd2
     #:dlaset
     #:dlahqr
     #:dlanhs
     #:dlarfg
     #:dlarfx
     #:dlassq
     #:dorgqr
     #:dlaln2
     #:ieeeck
     #:dlarf
     #:dlanv2
     #:dorg2r
     #:dlarft
     #:dladiv
     #:dgeevx
     #:dtrsna
     #:dtrexc
     #:dlacon
     #:dlaqtr
     #:dlaexc
     #:dlasy2
     #:dgesv
     #:dgetrf
     #:dgetrs
     #:dgetf2
     #:dlaswp
     #:dgesdd
     #:dbdsdc
     #:dgebrd
     #:dgelqf
     #:dorgbr
     #:dorglq
     #:dorgl2
     #:dormbr
     #:dlasdq
     #:dlanst
     #:dlasd0
     #:dlasda
     #:dlasr
     #:dlabrd
     #:dgebd2
     #:dgelq2
     #:dormqr
     #:dormlq
     #:dgeqrf
     #:dbdsqr
     #:dlasq1
     #:dlasv2
     #:dlas2
     #:dlasdt
     #:dlasd1
     #:dlasrt
     #:dlasq2
     #:dlasd2
     #:dlasd3
     #:dlamrg
     #:dlasd6
     #:dorml2
     #:dgeqr2
     #:dorm2r
     #:dlasd4
     #:dlasd7
     #:dlasd8
     #:dlasq3
     #:dlasq4
     #:dlasq5
     #:dlasq6
     #:dlasd5
     #:dlaed6
     #:dgesvd
     #:ddisna
     ;;#:zgeev
     #:zlange
     #:zlassq
   )
  (:documentation "Package for LAPACK routines"))
